<?php
  require "libs/Rpi.php";
  $RPI = new RPI(); 
  if($_POST){
    $RPI->setStartingSeason($_POST["year"]);
  } else {
    $RPI->setStartingSeason("current");
  }
  $RPI->calculate();
	
?>

<!doctype html>
<html>
<head>
  <title>NCDA RPI Ratings: <?php echo $RPI->label; ?> season</title>
   <link href="css/andys_sweet_styles.css" rel="stylesheet" type="text/css">
   <link href="css/RPIDisplay_styles.css" rel="stylesheet" type="text/css">
</head>
<body>
  <div id="RPI_Holder">
  <form actiom="RPIDisplay.php" method="post" id="rpi_form">
      <select name="year" value="options">
	<option value="current">Select season...</option>
	<option value="a">2010/2011 Season</option>
	<option value="b">2011/2012 Season</option>
	<option value="c">2012/2013 Season</option>
	<option value="d">2013/2014 Season</option>
      </select>
      <input type="submit" value="Calculate" id="btn_calc">
    </form>
    <div id="label">RPI ratings for the <?php echo $RPI->label; ?> season.</div>
    <ul class="el_list">
      <?php
	for($i=0;$i<$RPI->League->getNumOfTeams();$i++){
	  $team =  $RPI->League->getTeamByIndex($i) ?>
	  <li class="el_item">
	    <span class="li_name"><?php echo $i+1 . ". " . $team->getName()?></span>
	    <span class="li_rating"><?php echo number_format($team->getRating(), 5)?></span>
	  </li>
      <?php  } ?>  
    </ul>
  </div>
</body>
</html>
